Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Class WFObjectFactory

    java.lang.Object
      com.fujitsu.iflow.model.workflow.WFObjectFactory

public class WFObjectFactory
extends java.lang.Object

The `WFObjectFactory` is the recommended entry point for constructing model objects indirectly. It provides a consistent, non-proprietary means of accessing workflow objects. Using this class, you can construct all primary model objects from one single source, rather than searching through all implementation classes to find the relevant constructors.

Note that every call to a method of this class returns a different copy of the model object. The following code block provides an example of this behaviour:

     ProcessInstance p1 = WFObjectFactory.getProcessInstance(1100, m_session);
     ProcessInstance p2 = WFObjectFactory.getProcessInstance(1100, m_session);
     System.out.println((p1 == p2));

`p1` and `p2` refer to different objects, so the last line of the code block prints an output of `false`.

The `String` parameters of all methods in this class have a length limit. This limit is documented in the Javadoc comment for every parameter. If the length of a value supplied for such a parameter exceeds this limit or the value is `null`, an exception is thrown. This exception is a subclass of `ModelException`. For future compatibility, only `ModelException` should be caught explicitly.

If the signature of a method does not allow for throwing exceptions, any value supplied to this method that exceeds the length limit is truncated to the maximum length supported. `null` values are ignored in this case. If a method’s behaviour differs from the behaviour described above, it is explained in the relevant method’s Javadoc comment.

Exceptions. Three kinds of exceptions are commonly thrown within this class: `WFServerException`, `WFInternalException`, and `ModelInternalException`, all of which are instances of `ModelException`. In the methods that directly throw a `ModelException`, this exception usually wraps one of the above three exceptions. `WFServerException` indicates that the server failed to operate normally. `WFInternalException` indicates a problem in the communication between client and server. `ModelInternalException` indicates other Model API internal problems.

Field Summary
`static java.lang.String` | `CLIENT_PROPERTIES_FILES`
`static java.lang.String` | `DEPLOY_MESSAGE_DRIVEN_BEANS`
`static java.lang.String` | `DISABLE_NOTIFICATION`
`static java.util.Properties` | `envProp`
`static java.lang.String` | `JMS_FACTORY`
`static java.lang.String` | `JMS_NAMING_PROVIDER`
`static java.lang.String` | `JMS_NAMING_PROVIDER_URL`
`static java.lang.String` | `JMS_NTFX_TOPIC`
`static java.lang.String` | `JMS_SPECIFICATIONS`
`static java.lang.String` | `JMS_SQNTFX_TOPIC`
`static java.lang.String` | `NAMING_PROVIDER`
`static java.lang.String` | `NAMING_PROVIDER_URL`
`static java.lang.String` | `NTFX_DISPATCHER_THREADS`
`static int` | `PROTOCOL_ASAP`
`static int` | `PROTOCOL_SWAP`
`static java.lang.String` | `SECURITY_AUTHENTICATION`
`static java.lang.String` | `SECURITY_CREDENTIALS`
`static java.lang.String` | `SECURITY_PRINCIPAL`
`static java.lang.String` | `SERVER_RECONNECT_COUNTER`
`static int` | `TRANSPORT_TYPE`
`static UserAgentServiceProxy` | `uaServiceProxy`
`static java.lang.String` | `URL_SEPERATOR`
`static java.lang.String` | `USER_AGENT_SERVICE_NAME`

Constructor Summary
`WFObjectFactory()`

Method Summary
`static ProcessInstance` | `createProcessInstance(long planId, WFSession wfs)` Creates a new process instance for the supplied process definition ID.
`static AttachmentRef` | `getAttachmentRef(java.lang.String name, java.lang.String path)` Creates and returns a new attachment object with the specified name and path.
`static DataItem` | `getDataItem(java.lang.String name, java.lang.String type)` Creates and returns a new User Defined Attribute (UDA) with the specified name and type.
`static DataItem` | `getDataItem(java.lang.String name, java.lang.String type, java.lang.String value)` Creates and returns a new User Defined Attribute (UDA) with the specified name, type and value.
`static DirectoryServices` | `getDirectoryServices(WFSession _proxy, java.lang.String user, java.lang.String password)` Creates and returns a new `DirectoryServices` object that allows to perform actions using the current system's Directory Service.
`static DMS` | `getDMS(WFSession _proxy, java.lang.String user, java.lang.String password)` Creates and returns a new `DMS` object that provides operations for managing documents in a Document Management System.
`static DocRepository` | `getDocRepository(DMS dms)` Creates a new `DocRepository` object that manages the interaction between the client and the specified Document Management System (DMS) object.
`static DocRepository` | `getDocRepository(DMS dms, java.lang.String localRoot)` Creates a new `DocRepository` object that manages the interaction between the client and the specified Document Management System (DMS) object.
`static FormRef` | `getFormRef(java.lang.String name, java.lang.String path)` Creates and returns a new form with the specified name and path.
`static JavaActionSet` | `getJavaActionSet()` Creates a new (empty) `JavaActionSet` object that is used to summarize a set of `JavaAction`s.
`static Plan` | `getPlan()` Creates a new process definition without any data.
`static Plan` | `getPlan(long planId, WFSession wfs)` Returns the (existing) process definition with the specified ID.
`static ProcessInstance` | `getProcessInstance(long processId, WFSession wfs)` Returns the (existing) process instance with the specified ID.
`static ProcessInstantiator` | `getProcessInstantiator(long planId, WFSession wfs)` Creates a new `ProcessInstantiator` object for a given process definition ID and a session.
`static ProfileProp` | `getProfileProp()` Creates and returns a new `ProfileProp` object.
`static ProfileProp` | `getProfileProp(java.lang.String name, java.lang.String type, java.lang.String[] vals)` Creates and returns a new `ProfileProp` object with the given name, type, and array of values.
`static TimerAction` | `getTimerAction()` Creates and returns a timer task.
`static TimerAction` | `getTimerAction(int actionType)` Deprecated. Only the type `TimerAction#JAVAACTIONSET` is supported. Use instead `getTimerAction()`.
`static TimerDef` | `getTimerDef()` Creates and returns a new timer definition without setting its type.
`static TimerDef` | `getTimerDef(int timerType)` Creates and returns a timer definition of the specified type.
`static WFAdminSession` | `getWFAdminSession()` Returns a new session object which is used to login an Interstage BPM administrator on the Interstage BPM server.
`static WFAdminSession` | `getWFAdminSession(java.applet.Applet applet)` Deprecated. Old style of login. Use instead `getWFAdminSession()`
`static WFAdminSession` | `getWFAdminSession(java.applet.Applet applet, java.util.Properties props)` Deprecated.
`static WFObjectList` | `getWFObjectList(WFSession wfs)` Creates a new `WFObjectList` for the supplied session object.
`static WFSession` | `getWFSession()` Returns a new session object which is used to login a user in the Interstage BPM server with 'normal' operation permissions.
`static WFSession` | `getWFSession(java.applet.Applet applet)` Deprecated. Old style of login. Use instead `getWFSession()`
`static WFSession` | `getWFSession(java.applet.Applet applet, java.util.Properties props)` Deprecated. Old style of login. Use instead `getWFSession()`
`static WorkItem` | `getWorkItem(long workItemId, WFSession wfs)` Retrieves an existing work item (`WorkItem` object).
`static WorkItem` | `getWorkItem(java.lang.String assignee, long niId, WFSession wfs)` Returns the (existing) work item that belongs to the specified assignee and the specified ID of a node instance.
`static TriggerResult` | `processTriggerEvent(java.lang.String eventXml, WFSession wfs)` Processes the event data (XML) in the supplied `String` value for all active trigger definitions.
`static void` | `refresh(WFSession wfs)` Flushes the model cache if Proactive Notification is turned off.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLIENT_PROPERTIES_FILES

    public static final java.lang.String CLIENT_PROPERTIES_FILES

See Also:
  Constant Field Values

### NAMING_PROVIDER

    public static final java.lang.String NAMING_PROVIDER

See Also:
  Constant Field Values

### NAMING_PROVIDER_URL

    public static final java.lang.String NAMING_PROVIDER_URL

See Also:
  Constant Field Values

### JMS_NAMING_PROVIDER

    public static final java.lang.String JMS_NAMING_PROVIDER

See Also:
  Constant Field Values

### JMS_NAMING_PROVIDER_URL

    public static final java.lang.String JMS_NAMING_PROVIDER_URL

See Also:
  Constant Field Values

### JMS_FACTORY

    public static final java.lang.String JMS_FACTORY

See Also:
  Constant Field Values

### JMS_NTFX_TOPIC

    public static final java.lang.String JMS_NTFX_TOPIC

See Also:
  Constant Field Values

### JMS_SQNTFX_TOPIC

    public static final java.lang.String JMS_SQNTFX_TOPIC

See Also:
  Constant Field Values

### JMS_SPECIFICATIONS

    public static final java.lang.String JMS_SPECIFICATIONS

See Also:
  Constant Field Values

### USER_AGENT_SERVICE_NAME

    public static final java.lang.String USER_AGENT_SERVICE_NAME

See Also:
  Constant Field Values

### SECURITY_AUTHENTICATION

    public static final java.lang.String SECURITY_AUTHENTICATION

See Also:
  Constant Field Values

### SECURITY_PRINCIPAL

    public static final java.lang.String SECURITY_PRINCIPAL

See Also:
  Constant Field Values

### SECURITY_CREDENTIALS

    public static final java.lang.String SECURITY_CREDENTIALS

See Also:
  Constant Field Values

### NTFX_DISPATCHER_THREADS

    public static final java.lang.String NTFX_DISPATCHER_THREADS

See Also:
  Constant Field Values

### DEPLOY_MESSAGE_DRIVEN_BEANS

    public static final java.lang.String DEPLOY_MESSAGE_DRIVEN_BEANS

See Also:
  Constant Field Values

### DISABLE_NOTIFICATION

    public static final java.lang.String DISABLE_NOTIFICATION

See Also:
  Constant Field Values

### URL_SEPERATOR

    public static final java.lang.String URL_SEPERATOR

See Also:
  Constant Field Values

### TRANSPORT_TYPE

    public static int TRANSPORT_TYPE

### uaServiceProxy

    public static UserAgentServiceProxy uaServiceProxy

### envProp

    public static java.util.Properties envProp

### PROTOCOL_SWAP

    public static int PROTOCOL_SWAP

### PROTOCOL_ASAP

    public static int PROTOCOL_ASAP

### SERVER_RECONNECT_COUNTER

    public static final java.lang.String SERVER_RECONNECT_COUNTER

See Also:
  Constant Field Values

Constructor Detail

### WFObjectFactory

    public WFObjectFactory()

Method Detail

### getWFSession

    public static WFSession getWFSession(java.applet.Applet applet,
                                         java.util.Properties props)
                                  throws ModelInternalException

  Deprecated. Old style of login. Use instead `getWFSession()`

  Throws:
    `ModelInternalException`

### getWFSession

    public static WFSession getWFSession(java.applet.Applet applet)
                                  throws ModelInternalException

  Deprecated. Old style of login. Use instead `getWFSession()`

  Throws:
    `ModelInternalException`

### getWFSession

    public static WFSession getWFSession()
                                  throws ModelInternalException

  Returns a new session object which is used to login a user in the Interstage BPM server with 'normal' operation permissions.

  Returns:
    The newly generated session object.
  Throws:
    `ModelInternalException`
  See Also:
    `getWFAdminSession()`

### getWFObjectList

    public static WFObjectList getWFObjectList(WFSession wfs)

  Creates a new `WFObjectList` for the supplied session object. This object list offers methods for receiving a list of existing primary model objects, such as process definitions, process instances and work items as specified by a filter.

  Parameters:
    `wfs` - The session object to get the `WFObjectList` for.
  Returns:
    The newly created `WFObjectList` for the specified session.

### getProcessInstantiator

    public static ProcessInstantiator getProcessInstantiator(long planId,
                                                             WFSession wfs)
                                                      throws ModelInternalException

  Creates a new `ProcessInstantiator` object for a given process definition ID and a session.

  Parameters:
    `planId` - The ID of the process definition for which a process instantiator is to be created.
    `wfs` - Valid session object used to login a user
  Returns:
    The `ProcessInstantiator` for the specified process definition ID and session or the supplied WFSession object is `null`.
  Throws:
    `ModelInternalException`

### getPlan

    public static Plan getPlan(long planId,
                               WFSession wfs)
                        throws ModelInternalException,
                               WFInternalException,
                               WFServerException

  Returns the (existing) process definition with the specified ID.

  The process definition is always returned independent of the user who is logged in to the specified session. If the returned process definition is not in the published state, only its owner or a user with administration rights is allowed to edit it. All other users will only have read rights on the process definition.

  Parameters:
    `planId` - The unique identifier of the process definition.
    `wfs` - Valid session object used to login a user.
  Returns:
    The process definition with the specified ID.
  Throws:
    `ModelInternalException` - Thrown when no process definition is found for the supplied id or the supplied WFSession object is `null`.
    `WFInternalException`
    `WFServerException`

### getPlan

    public static Plan getPlan()

  Creates a new process definition without any data.

  Returns:
    The newly created process definition.

### createProcessInstance

    public static ProcessInstance createProcessInstance(long planId,
                                                        WFSession wfs)
                                                 throws WFInternalException,
                                                        WFServerException,
                                                        ModelInternalException

  Creates a new process instance for the supplied process definition ID.

  The creation of the new process instance is only supported if the user logged in to the supplied session can access the process definition with read, write and execute rights. This means that the process definition has to be, for example, in the state `Plan.STATE_PUBLISHED`, or the user must be the owner of the process definition, or must have administration rights.

  Parameters:
    `planId` - The ID of the process definition from which the process instance will be created
    `wfs` - Valid session object used to login a user.
  Returns:
    The newly created process instance belonging to the specified process definition.
  Throws:
    `WFInternalException`
    `WFServerException`
    `ModelInternalException` - Thrown when the user does not have the right to create a new process instance from the process definition with the given ID. This happens if the process definition is not in the published state, and the user is not the owner of the process definition and does not have administration rights. Furthermore this exception is thrown when the supplied WFSession is `null`. Should be caught as `ModelException` for future compatibility.

### getProcessInstance

    public static ProcessInstance getProcessInstance(long processId,
                                                     WFSession wfs)
                                              throws ModelInternalException,
                                                     WFServerException,
                                                     WFInternalException

  Returns the (existing) process instance with the specified ID.

  The process instance is always returned independent of the user who is logged in to the specified session. Users who are not the owner of the returned process instance and who do not have administration rights, will only have read rights on the process instance.

  Parameters:
    `processId` - The ID of the process instance
    `wfs` - Valid session object used to login a user.
  Returns:
    The process instance with the specified ID.
  Throws:
    `ModelInternalException` - Thrown when no process instance is found for the supplied id or the supplied WFSession object is `null`.
    `WFServerException`
    `WFInternalException`

### getWorkItem

    public static WorkItem getWorkItem(java.lang.String assignee,
                                       long niId,
                                       WFSession wfs)
                                throws ModelInternalException,
                                       WFServerException,
                                       WFInternalException

  Returns the (existing) work item that belongs to the specified assignee and the specified ID of a node instance.

  The work item is always returned independent of the user who is logged in to the specified session. Although the work item is always returned, only the work item's assignee is allowed to edit and execute it. All other users will only have read rights on the work item!

  The `assignee` value must not be longer than specified by `DirectoryServices.MAX_DIR_NAME_LENGTH`.

  Parameters:
    `assignee` - The user's name who is the assignee of the work item to be returned.
    `niId` - The unique ID of the node instance the work item belongs to.
    `wfs` - Valid session object used to login a user.
  Returns:
    The work item that belongs to the supplied node instance ID and assignee.
  Throws:
    `ModelInternalException` - Thrown when no work item is found for the supplied id. Furthermore this exception is thrown when the supplied WFSession object is `null` or the supplier assignee is invalid (e.g. length exceeds the limitation) or `null`.
    `WFServerException`
    `WFInternalException`

### getWorkItem

    public static WorkItem getWorkItem(long workItemId,
                                       WFSession wfs)
                                throws ModelException

  Retrieves an existing work item (`WorkItem` object).

  The work item is always returned independent of the user who is logged in to the specified session. Although the work item is always returned, only the work item's assignee is allowed to edit and execute it. All other users will only have read rights on the work item!

  Parameters:
    `workItemId` - The unique ID of the work item to be returned.
    `wfs` - Valid session object used to login a user.
  Returns:
    The work item that belongs to the supplied ID.
  Throws:
    `ModelException` - Thrown when no work item is found for the supplied id or the supplied WFSession object is `null`.

### getAttachmentRef

    public static AttachmentRef getAttachmentRef(java.lang.String name,
                                                 java.lang.String path)

  Creates and returns a new attachment object with the specified name and path.

  The name is limited to the number of characters specified by `AttachmentRef.MAX_ATTACHMENT_NAME_LENGTH` and the path must not be longer than specified by `AttachmentRef.MAX_ATTACHMENT_PATH_LENGTH`. If the length exceeds the specified number of characters, the value is truncated. The syntax for the path and file name is dependent on the DMS that has been specified for the server.

  Parameters:
    `name` - The attachment's name, used to identify the `AttachmentRef` object in a list of attachments.
    `path` - The fully qualified path and file name of the attachment.
  Returns:
    The newly created attachment

### getFormRef

    public static FormRef getFormRef(java.lang.String name,
                                     java.lang.String path)

  Creates and returns a new form with the specified name and path.

  The name is limited to the number of characters specified by `FormRef.MAX_FORM_NAME_LENGTH` and the path must not be longer than specified by `FormRef.MAX_FORM_PATH_LENGTH`. If the length exceeds the specified number of characters, the value is truncated.

  Parameters:
    `name` - The form's name, used as a descriptive name visible to the user when he/she executes a work item.
    `path` - The fully qualified path and file name of the form.

### getDataItem

    public static DataItem getDataItem(java.lang.String name,
                                       java.lang.String type)
                                throws ModelInternalException

  Creates and returns a new User Defined Attribute (UDA) with the specified name and type.

  The name must not be longer than specified in `DataItemRef.MAX_DATA_REF_NAME_LENGTH`.

  Parameters:
    `name` - The UDA's name
    `type` - The string constant specifying the type of UDA as defined in the `DataItemRef` interface, e.g. `TYPE_BOOLEAN`.
  Returns:
    A new UDA of the specified type that is identified by the supplied name
  Throws:
    `ModelInternalException` - Thrown when the supplied name is invalid (e.g. the length is 0) or `null` or the supplied type is `null`. Should be caught as `ModelException` for future compatibility.
  See Also:
    `DataItemRef`

### getDataItem

    public static DataItem getDataItem(java.lang.String name,
                                       java.lang.String type,
                                       java.lang.String value)
                                throws ModelInternalException

  Creates and returns a new User Defined Attribute (UDA) with the specified name, type and value.

  The name must not be longer than specified in `DataItemRef.MAX_DATA_REF_NAME_LENGTH`.

  Parameters:
    `name` - The UDA's name
    `type` - The String constant specifying the type of UDA as defined in the `DataItemRef` interface by constants such as `TYPE_BOOLEAN`.
    `value` - The new value of UDA in `String` format.
  Returns:
    A new UDA of the specified type containing the supplied value that is identified by the supplied name
  Throws:
    `ModelInternalException` - Thrown when the supplied name is invalid (e.g. the length is 0) or `null` or the supplied type is `null`. Should be caught as `ModelException` for future compatibility.
  See Also:
    `DataItemRef`

### getTimerDef

    public static TimerDef getTimerDef()

  Creates and returns a new timer definition without setting its type. When you use this method to create and return a timer, the timer type must be specified later before using it.

  Returns:
    A new timer definition without timer type.
  See Also:
    `getTimerDef(int)`, `TimerAction`

### getTimerDef

    public static TimerDef getTimerDef(int timerType)
                                throws ModelException

  Creates and returns a timer definition of the specified type.

  Parameters:
    `timerType` - The type of timer definition as defined in the `TimerDef` interface by constants such as `ABSOLUTE`.
  Returns:
    A new timer definition of the specified type.
  Throws:
    `ModelException`

### getTimerAction

    public static TimerAction getTimerAction()

  Creates and returns a timer task.

  When you use this method to create and return a timer task, the `JavaActionSet` must be specified later before using it.

  Returns:
    The new `TimerAction` object without any specified `JavaActionSet`.
  See Also:
    `JavaActionSet`

### getTimerAction

    public static TimerAction getTimerAction(int actionType)
                                      throws ModelException

  Deprecated. Only the type `TimerAction#JAVAACTIONSET` is supported. Use instead `getTimerAction()`.

  Throws:
    `ModelException`

### getDocRepository

    public static DocRepository getDocRepository(DMS dms)
                                          throws ModelInternalException

  Creates a new `DocRepository` object that manages the interaction between the client and the specified Document Management System (DMS) object. The default local root (the user's home directory,e.g. `C:\Winnt\Java` on a Microsoft Windows NT system) is used as location for the document repository.

  Parameters:
    `dms` - The Document Management System object the document repository is generated for.
  Returns:
    The document repository that manages the interaction with the specified DMS
  Throws:
    `ModelInternalException` - Thrown when the supplied DMS object is `null`.

### getDocRepository

    public static DocRepository getDocRepository(DMS dms,
                                                 java.lang.String localRoot)
                                          throws ModelInternalException

  Creates a new `DocRepository` object that manages the interaction between the client and the specified Document Management System (DMS) object.

  Parameters:
    `dms` - The Document Management System object the document repository is generated for.
    `localRoot` - The user's local root directory used for downloaded server files.
  Returns:
    The document repository that manages the interaction with the specified DMS
  Throws:
    `ModelInternalException` - Thrown when the supplied DMS object is `null` or if the localRoot is invalid (e.g. length is 0) or `null`. Should be caught as `ModelException` for future compatibility.

### getDMS

    public static DMS getDMS(WFSession _proxy,
                             java.lang.String user,
                             java.lang.String password)
                      throws ModelInternalException

  Creates and returns a new `DMS` object that provides operations for managing documents in a Document Management System.

  The `user` value must not be longer than specified by `DirectoryServices.MAX_DIR_NAME_LENGTH`.

  Parameters:
    `_proxy` - A session with a user logged in.
    `user` - The user's name.
    `password` - The user's password.
  Returns:
    The new `DMS` object.
  Throws:
    `ModelInternalException` - Thrown when the supplier WFSession object is `null` or the user name is invalid (e.g. length exceeds limitation) or `null`. Should be caught as `ModelException` for future compatibility.

### getDirectoryServices

    public static DirectoryServices getDirectoryServices(WFSession _proxy,
                                                         java.lang.String user,
                                                         java.lang.String password)
                                                  throws ModelInternalException

  Creates and returns a new `DirectoryServices` object that allows to perform actions using the current system's Directory Service.

  The `user` value must not be longer than specified by `DirectoryServices.MAX_DIR_NAME_LENGTH`.

  The `user` and `password` attributes are no longer used within this method. Nevertheless it is necessary to define a user name because otherwise an exception is thrown. It is possible to use an empty `String` as user name and the password can be passed as `null` value.

  Parameters:
    `_proxy` - The session for communicating with the Interstage BPM server.
    `user` - The user's ID (name).
    `password` - The user's password.
  Returns:
    The new `DirectoryServices` object.
  Throws:
    `ModelInternalException` - Thrown if a server-side CORBA exception occurs. Furthermore this exception is thrown if the supplied WFSession is `null` or the supplied user is invalid (e.g. the length exceeds the limitation or `null`. Should be caught as `ModelException` for future compatibility.

### getWFAdminSession

    public static WFAdminSession getWFAdminSession(java.applet.Applet applet,
                                                   java.util.Properties props)
                                            throws ModelInternalException

  Deprecated.

  Creates and returns a `WFAdminSession` object, given a specified applet and `Properties` object.

  Parameters:
    `applet` -
    `props` -
  Throws:
    `ModelInternalException`

### getWFAdminSession

    public static WFAdminSession getWFAdminSession(java.applet.Applet applet)
                                            throws ModelInternalException

  Deprecated. Old style of login. Use instead `getWFAdminSession()`

  Throws:
    `ModelInternalException`

### getWFAdminSession

    public static WFAdminSession getWFAdminSession()
                                            throws ModelInternalException

  Returns a new session object which is used to login an Interstage BPM administrator on the Interstage BPM server. The returned session object offers functionality in addition to the `WFSession` object.

  Returns:
    The newly generated session object.
  Throws:
    `ModelInternalException`

### getProfileProp

    public static ProfileProp getProfileProp()
                                      throws ModelInternalException

  Creates and returns a new `ProfileProp` object. This object is used to specify the properties of a user profile.

  Returns:
    A new `ProfileProp` object without any attributes.
  Throws:
    `ModelInternalException`

### getProfileProp

    public static ProfileProp getProfileProp(java.lang.String name,
                                             java.lang.String type,
                                             java.lang.String[] vals)
                                      throws ModelInternalException

  Creates and returns a new `ProfileProp` object with the given name, type, and array of values.

  The default user profile property names of Interstage BPM are:

  - `uid` (ID of user)
  - `iflownotification`
  - `email`
  - `dmsdir` (default home directory)

  The name is limited to 30 characters.

  Parameters:
    `name` - The profile properties name.
    `type` - An LDAP type. (Currently not used, and initialized to `getName` values.)
    `vals` - The values associated with the profile properties name. Currently, only the first item in the array is used.
  Returns:
    The newly created profile property
  Throws:
    `ModelInternalException`

### getJavaActionSet

    public static JavaActionSet getJavaActionSet()

  Creates a new (empty) `JavaActionSet` object that is used to summarize a set of `JavaAction`s.

  Returns:
    An empty `JavaActionSet`.
  See Also:
    `JavaAction`

### refresh

    public static void refresh(WFSession wfs)
                        throws ModelException

  Flushes the model cache if Proactive Notification is turned off. The next time that `ProcessInstance` and `Plan` objects are retrieved using `WFObjectFactory.getProcessInstance` or `WFObjectFactory.getPlan`, they reflect the latest state on the server.

  If Proactive Notification is turned on, this method has no effect.

  Parameters:
    `wfs` - Valid session object to get the server option of "Proactive Notification".
  Throws:
    `ModelException` - Thrown when the supplied session is `null`.

### processTriggerEvent

    public static TriggerResult processTriggerEvent(java.lang.String eventXml,
                                                    WFSession wfs)
                                             throws ModelException

  Processes the event data (XML) in the supplied `String` value for all active trigger definitions. Returns a consolidated result describing which process instances were started and choices made on activities.

  Parameters:
    `wfs` - Valid session object with a user logged in.
  Returns:
    The trigger result containing information about the process instances started and choices made on activities.
  Throws:
    `ModelException` - Thrown when the supplied `eventXml` or session is `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD